%  A vocals minimization attempt demonstration

%  Author: Andreas Floros
%  Digital Audio Processing Applications Group
%  Dept. of Audiovisual Arts, Ionian University
%  v.1.0 - Last Modified: 22/03/2009.

clc;
clear;

% Load two different audio files
[y_stereo, fs, N] = wavread('hootie.wav');  

% Get the left and right channels
y_left = y_stereo(:,1);
y_right = y_stereo(:,2);

% Minmize the presence of vocals
y_minimized_vocals = y_left - y_right;


